Register a new TRON TRC-10 or TRC-20 token in the virtual account

/v3/offchain/tron/trc

10 credits per API call.


First step to create new TRC 10/20 token with given supply on the Tron blockchain with support of Tatum's private ledger.
This method only creates Tatum Private ledger virtual currency with predefined parameters. It will not generate any blockchain smart contract.
The whole supply of TRC 10/20 token is stored in the customer's newly created account. Then it is possible to create new Tatum accounts with TRC 10/20 token name as account's currency.
Newly created account is frozen until the specific TRC 10/20 smart contract address is linked with the Tatum virtual currency, representing the token.
Order of the steps to create TRC 10/20 smart contract with Tatum private ledger support:

  1. Create TRC 10/20 token (this API) - creates a virtual currency within Tatum
  2. Deploy TRC 10 or TRC 20 smart contract - create new TRC 10/20 smart contract on the blockchain
  3. Store TRC 10/20 smart contract address - link newly created TRC 10/20 smart contract address with Tatum virtual currency - this operation enables frozen account and enables ledger synchronization for TRC 10/20 Tatum accounts
Blockchain address will be assigned to the virtual account as a deposit address. It can be defined via the address explicitly or by using xpub and derivationIndex. There is a helper method Deploy TRC 10/20 Smart Contract to Blockchain and Ledger, which wraps first 2 steps into 1 method.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length between 1 and 30

The name of the token; used as an identifier within the Tatum platform and as a currency symbol on the blockchain

string
required
length ≤ 38

The supply of the token

number
required
≥ 0

The number of decimal places that the token has

string
enum
required

The type of the token

Allowed:
string
required
length between 1 and 100

The description of the token; used as a description within the Tatum platform and as a currency name on the blockchain

string
required
length between 34 and 34

The blockchain address to be assigned to the virtual account as a deposit address

string
enum
required

The base pair for the virtual currency that represents the token; used to calculate the value of a transaction

number
≥ 0
Defaults to 1

The exchange rate for the base pair; one unit of the created virtual currency equals 1 unit of basePair*baseRate

string
length between 1 and 100

(TRC-10 tokens only) The URL of the project that the token is created for
Use this parameter only with TRC-10 tokens. Do not use this parameter with TRC-20 tokens.

customer
object

If a customer with the specified external ID does not exist, a new customer is created. If a customer with the specified external ID exists, it is updated with the provided information.

string
enum
Defaults to EUR

The ISO 4217 code of the currency in which all transactions for the created virtual account will be billed

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json